ReplicationManagerStartPolicy (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.db

## Class ReplicationManagerStartPolicy

- java.lang.Object
- - com.sleepycat.db.ReplicationManagerStartPolicy

-     public final class ReplicationManagerStartPolicy
      extends java.lang.Object

  This class provides definitions of the various start policies thatcan be specified when starting a replication client using the`Environment.replicationManagerStart` call.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReplicationManagerStartPolicy` | `REP_CLIENT` | Start as a client site, and do not call for an election.
    `static ReplicationManagerStartPolicy` | `REP_ELECTION` | Start as a client, and call for an election if no master is found.
    `static ReplicationManagerStartPolicy` | `REP_MASTER` | Start as a master site, and do not call for an election.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REP_MASTER

          public static final ReplicationManagerStartPolicy REP_MASTER

      Start as a master site, and do not call for an election. Note there must never be more than a single master in any replication group, and only one site should ever be started with the DB_REP_MASTER flag specified.

    - #### REP_CLIENT

          public static final ReplicationManagerStartPolicy REP_CLIENT

      Start as a client site, and do not call for an election.

    - #### REP_ELECTION

          public static final ReplicationManagerStartPolicy REP_ELECTION

      Start as a client, and call for an election if no master is found.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.